pk-package-obj
3
PACKAGEKIT Library

# pk-package-obj

A cached Package structure

## Synopsis

                        PkPackageObj;
    PkPackageObj *      pk_package_obj_new                  (PkInfoEnum info,
                                                             const PkPackageId *id,
                                                             const gchar *summary);
    gboolean            pk_package_obj_free                 (PkPackageObj *obj);
    PkPackageObj *      pk_package_obj_copy                 (const PkPackageObj *obj);
    gboolean            pk_package_obj_equal                (const PkPackageObj *obj1,
                                                             const PkPackageObj *obj2);
    gboolean            pk_package_obj_equal_fuzzy_arch     (const PkPackageObj *obj1,
                                                             const PkPackageObj *obj2);
    gchar *             pk_package_obj_to_string            (const PkPackageObj *obj);
    PkPackageObj *      pk_package_obj_from_string          (const gchar *text);

## Description

These provide a way to query and store a single package.

## Details

### PkPackageObj

    typedef struct {
    	PkInfoEnum		 info;
    	PkPackageId		*id;
    	gchar			*summary;
    } PkPackageObj;

A cached store for the complete Package object

### pk_package_obj_new ()

    PkPackageObj *      pk_package_obj_new                  (PkInfoEnum info,
                                                             const PkPackageId *id,
                                                             const gchar *summary);

`info` :

`id` :

`summary` :

Returns :

### pk_package_obj_free ()

    gboolean            pk_package_obj_free                 (PkPackageObj *obj);

`obj` :

Returns :

### pk_package_obj_copy ()

    PkPackageObj *      pk_package_obj_copy                 (const PkPackageObj *obj);

Copy a PkPackageObj

`obj` :

Returns :

### pk_package_obj_equal ()

    gboolean            pk_package_obj_equal                (const PkPackageObj *obj1,
                                                             const PkPackageObj *obj2);

Only compares the package_id's and the info enum

`obj1` :

`obj2` :

Returns :

### pk_package_obj_equal_fuzzy_arch ()

    gboolean            pk_package_obj_equal_fuzzy_arch     (const PkPackageObj *obj1,
                                                             const PkPackageObj *obj2);

Only compares the package_id's and the info enum, being a bit fuzzy on the arch

`obj1` :

`obj2` :

Returns :

### pk_package_obj_to_string ()

    gchar *             pk_package_obj_to_string            (const PkPackageObj *obj);

Convert a PkPackageObj to a string

`obj` :

Returns :

### pk_package_obj_from_string ()

    PkPackageObj *      pk_package_obj_from_string          (const gchar *text);

Convert a PkPackageObj from a string

`text` :

Returns :